Subject: Linux-Activists - DOC Channel digest. 93-4-4-1:43
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Tue, 4 May 1993 07:20:04 +0300

Topics:
	 glibc documentation

----------------------------------------------------------------------

From: Thomas Koenig <[email-masked]>
Subject: glibc documentation
Date: Tue, 4 May 1993 02:58:14 +0300

I've just had a quick browse through the glibc documentation mentioned
earlier, and I have to say I'm impressed.  Good introduction, good
quality, good reference.  I'd say this removes a large part of work from
the Linux Programming Guide; no need to reinvent that particular wheel
square.

Here's a short outline, grepped from the chapters from the *.toc - file:

Introduction
Error Reporting
Memory Allocation
Character Handling
String and Array Utilities
Extended Characters
Locales and Internationalization
Searching and Sorting
Pattern Matching
Input/Output Overview
Input/Output on Streams
Low-Level Input/Output
File System Interface
Pipes and FIFOs
Sockets
Low-Level Terminal Interface
Mathematics
Low-Level Arithmetic Functions
Date and Time
Non-Local Exits
Signal Handling
Process Startup and Termination
Child Processes
Job Control
Users and Groups
System Information
System Configuration Parameters
C Language Facilities Implemented By the Library
Summary of Library Facilities
Library Maintenance

And, of course, the

GNU LIBRARY GENERAL PUBLIC LICENSE
--
Thomas Koenig, [email-masked], [email-masked]
The joy of engineering is to find a straight line on a double
logarithmic diagram.

------------------------------

End of DOC Digest
*****************
-------